import { GlobalShapValue } from '../API';
import { CRUDService, ICrudService } from '../core';
export declare class GlobalShapValueService extends CRUDService<GlobalShapValue> {
    protected hasOneModels: ICrudService<GlobalShapValue>['hasOneModels'];
    get get(): (id: string, options?: Omit<import("@apollo/client").QueryOptions<import("../API").Exact<{
        id: string;
    }>, import("../API").GlobalShapValueGEtQuery>, "query">) => Promise<{
        __typename: "GlobalShapValue";
        AIModelID: string;
        created_at: any;
        id: string;
        propertyMapID: string;
        shapValue?: number;
        updated_at: any;
        propertyMap: {
            __typename?: "PropertyMap";
            id: string;
            dataType: import("../API").DataType;
            description?: string;
            dropdownOptions?: string[];
            isCustom?: boolean;
            isDisplayable?: boolean;
            isLocked?: boolean;
            isManuallyEditable?: boolean;
            isManuallyEditableDisabled?: boolean;
            internalFieldName?: string;
            isQueryable?: boolean;
            name: string;
            sortIndex?: number;
            objectType: import("../API").PropertyType;
            organizationID: string;
            mapsToNativeField?: boolean;
            parlorKey?: string;
            recordCountPercent?: number;
            objectSources?: {
                __typename?: "PropertyOption";
                instances?: {
                    __typename?: "IntegrationInstance";
                    id: string;
                    name: string;
                    integrationDocument: {
                        __typename?: "IntegrationDocument";
                        id: string;
                        name: string;
                    };
                }[];
            }[];
        };
    }>;
    get useGet(): (options: import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").GlobalShapValueGEtQuery, import("../API").Exact<{
        id: string;
    }>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").GlobalShapValueGEtQuery, import("../API").Exact<{
            id: string;
        }>>;
        data: import("../API").GlobalShapValueGEtQuery;
        previousData?: import("../API").GlobalShapValueGEtQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").GlobalShapValueGEtQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").GlobalShapValueGEtQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(mapFn: (previousQueryResult: import("../API").GlobalShapValueGEtQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").GlobalShapValueGEtQuery>, "variables">) => import("../API").GlobalShapValueGEtQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            id: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GlobalShapValueGEtQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            id: string;
        }>, import("../API").GlobalShapValueGEtQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GlobalShapValueGEtQuery>>;
        variables: import("../API").Exact<{
            id: string;
        }>;
        fetchMore: <TFetchData = import("../API").GlobalShapValueGEtQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").GlobalShapValueGEtQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").GlobalShapValueGEtQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get list(): (input: import("../API").Exact<{
        filter?: import("../API").GlobalShapValueFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").GlobalShapValueSort | import("../API").GlobalShapValueSort[];
    }>, options?: import("../core").ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").GlobalShapValueListQuery, import("../API").Exact<{
        filter?: import("../API").GlobalShapValueFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").GlobalShapValueSort | import("../API").GlobalShapValueSort[];
    }>>>) => Promise<{
        __typename?: "GlobalShapValueConnection";
        totalCount: number;
        edges: {
            __typename?: "GlobalShapValueEdge";
            cursor: any;
            node: {
                __typename: "GlobalShapValue";
                AIModelID: string;
                created_at: any;
                id: string;
                propertyMapID: string;
                shapValue?: number;
                updated_at: any;
                propertyMap: {
                    __typename?: "PropertyMap";
                    id: string;
                    dataType: import("../API").DataType;
                    description?: string;
                    dropdownOptions?: string[];
                    isCustom?: boolean;
                    isDisplayable?: boolean;
                    isLocked?: boolean;
                    isManuallyEditable?: boolean;
                    isManuallyEditableDisabled?: boolean;
                    internalFieldName?: string;
                    isQueryable?: boolean;
                    name: string;
                    sortIndex?: number;
                    objectType: import("../API").PropertyType;
                    organizationID: string;
                    mapsToNativeField?: boolean;
                    parlorKey?: string;
                    recordCountPercent?: number;
                    objectSources?: {
                        __typename?: "PropertyOption";
                        instances?: {
                            __typename?: "IntegrationInstance";
                            id: string;
                            name: string;
                            integrationDocument: {
                                __typename?: "IntegrationDocument";
                                id: string;
                                name: string;
                            };
                        }[];
                    }[];
                };
            };
        }[];
        pageInfo: {
            __typename?: "PageInfo";
            endCursor?: any;
            hasNextPage?: boolean;
            hasPreviousPage?: boolean;
            startCursor?: any;
        };
    }>;
    get useList(): (options: import("../core").CacheUpdateOptions<import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").GlobalShapValueListQuery, import("../API").Exact<{
        filter?: import("../API").GlobalShapValueFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").GlobalShapValueSort | import("../API").GlobalShapValueSort[];
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").GlobalShapValueListQuery, import("../API").Exact<{
            filter?: import("../API").GlobalShapValueFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").GlobalShapValueSort | import("../API").GlobalShapValueSort[];
        }>>;
        data: import("../API").GlobalShapValueListQuery;
        previousData?: import("../API").GlobalShapValueListQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").GlobalShapValueListQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").GlobalShapValueFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").GlobalShapValueSort | import("../API").GlobalShapValueSort[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").GlobalShapValueListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").GlobalShapValueFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").GlobalShapValueSort | import("../API").GlobalShapValueSort[];
        }>>(mapFn: (previousQueryResult: import("../API").GlobalShapValueListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").GlobalShapValueListQuery>, "variables">) => import("../API").GlobalShapValueListQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            filter?: import("../API").GlobalShapValueFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").GlobalShapValueSort | import("../API").GlobalShapValueSort[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GlobalShapValueListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            filter?: import("../API").GlobalShapValueFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").GlobalShapValueSort | import("../API").GlobalShapValueSort[];
        }>, import("../API").GlobalShapValueListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GlobalShapValueListQuery>>;
        variables: import("../API").Exact<{
            filter?: import("../API").GlobalShapValueFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").GlobalShapValueSort | import("../API").GlobalShapValueSort[];
        }>;
        fetchMore: <TFetchData = import("../API").GlobalShapValueListQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").GlobalShapValueFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").GlobalShapValueSort | import("../API").GlobalShapValueSort[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").GlobalShapValueListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").GlobalShapValueListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
}
